al_get_current_directory(3)

NAME

al_get_current_directory - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    char *al_get_current_directory(void)

DESCRIPTION

Returns the path to the current working directory, or NULL on failure. The returned path is dynamically allocated and must be destroyed with al_free(3).

Allegro's errno is filled in to indicate the error if there is a failure. This function may not be implemented on some (virtual) filesystems.

SEE ALSO

al_get_errno(3), al_free(3)